@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

html, body {
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.button-link {
    text-decoration: unset;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.title {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    padding-bottom: 0.625rem;
}

    .title.title-secondary {
        padding-top: 0.313rem;
        padding-bottom: 0;
        color: var(--bs-secondary-color);
    }

.title-header-text {
    font-size: 2.5rem;
    line-height: 3rem;
    font-weight: 600;
    letter-spacing: 0rem;
    padding: 0.3125rem 0;
}

.title-content-text {
    font-size: 1.75rem;
    font-weight: 400;
    line-height: 2.5rem;
    letter-spacing: 0rem;
}

.main-content {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

.block-content {
    width: 31.25rem;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
    max-width: 100%;
}


.or {
    display: flex;
    flex-direction: row;
    align-items: center;
}

    .or .or-line {
        border-bottom: 1px solid var(--bs-body-color);
        width: 100%;
        opacity: 0.2;
    }

    .or .or-text {
        padding: 0 0.625rem 0px 0.625rem;
        font-size: 0.75rem;
        line-height: 1.125rem;
        color: var(--bs-body-color);
        opacity: 0.7;
    }

.links-area {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
    padding-top: 0.625rem;
}

.links-container {
    display: flex;
    gap: 0.25rem;
    justify-content: center;
    align-items: center;
}

    .links-container .dot {
        height: 1.3125rem;
        width: 0.3125rem;
        margin: 0 0.1875rem;
        border-radius: 50%;
        background-color: var(--bs-body-color);
        opacity: 0.7;
    }

.manage-layout {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
}

.info-message::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0.15;
    background: var(--bs-primary);
    z-index: -1;
}

.info-message {
    padding: 0.625rem 1rem 0.625rem 1rem;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .info-message.info-panel {
        margin-bottom: 0.625rem;
    }

.manage-content {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
}

.large-input {
    height: 4.3125rem;
    font-size: 1.875rem;
}

.title-content-text-secondary {
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.button-group {
    display: flex;
    flex-direction: row;
    gap: 0.625rem;
}

.confirm-button {
    margin-top: 0.3125rem;
}

.display-desktop {
    display: block;
}

.display-mobile {
    display: none;
}

.icon-external-provider {
    width: 1rem;
    height: 1rem;
}

.icon-google {
    background-image: url("/images/account/providers/google-logo.svg")
}

.icon-facebook {
    background-image: url("/images/account/providers/facebook-logo.svg")
}

.icon-microsoft {
    background-image: url("/images/account/providers/microsoft-logo.svg")
}

.icon-twitter {
    background-image: url("/images/account/providers/x-logo.svg")
}

@media (max-width: 768px) {
    .display-desktop {
        display: none;
    }

    .display-mobile {
        display: block;
    }
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

html, body {
    height: 100%;
    overflow: hidden;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.gridlayout-item {
    font-size: 2px;
    font-weight: 600;
    text-align: center;
    height: 100%;
    padding-top: 10px;
    padding-left: 20px;
    padding-right: 20px;
    text-align: center;
    position: relative;
    z-index: 0;
}

    .gridlayout-item:before {
        content: " ";
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        opacity: 0.6;
    }

.gridlayout-credits-item {
    font-size: 16px;
    font-weight: 500;
    text-align: center;
    height: 50%;
    padding-top: 10px;
    text-align: center;
    position: relative;
    z-index: 0;
}

    .gridlayout-credits-item:before {
        content: " ";
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 50%;
        left: 0;
        top: 0;
        opacity: 0.6;
    }

.gridlayout-header:before {
    background-color: var(--bs-gray);
    opacity: 20%;
}

.gridlayout-header1:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-mwhzSFW/0/C7ZKkh8nBWrZMTrdvt3bpZzBBzv9pvHFpzs662gXv/O/Looper%20Moth_1_600x338.jpg");
*/ opacity: 80%;
}

.gridlayout-content {
}

    .gridlayout-content:before {
        background-color: var(--bs-gray);
        opacity: 80%;
    }

.gridlayout-content1:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-nCsLWnp/1/DrMJmfKqJjDMkz76JVCXT425TrsJP7wv4qHvR52kF/M/_NZ99308-M.jpg");
*/ opacity: 80%;
}

.gridlayout-content2:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-r42WdfG/0/CgnW6phCPjF8fK9r8jrF5PgnPRFNjSkjmrsbqZv87/M/_NZ99932-M.jpg");
*/ opacity: 80%;
}

.gridlayout-content3:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-CTHWq4s/0/Cw3tTTNd6s3dFdNBvfMxrqCJtFh4CXdcCRS4G3DcB/M/IMG20240216163303-M.jpg");
*/ opacity: 80%;
}

.gridlayout-content4:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-6MTjG5P/0/DkK3hpbbKN8ScCGfkPR7HKhf4PFDMwBRXCjTxxw2H/M/_NZ90023-M.jpg");
*/ opacity: 80%;
}


.gridlayout-left-side-bar:before {
    background-color: var(--bs-green);
}

.gridlayout-left-side-bar1:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-6MTjG5P/0/DkK3hpbbKN8ScCGfkPR7HKhf4PFDMwBRXCjTxxw2H/M/_NZ90023-M.jpg");
*/ opacity: 80%;
}

.gridlayout-left-side-bar2:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-pFrFcSq/0/CHp3J6CJHG3DjVmHtwtW7pZtvztBDSKQSsqJrK2ns/M/_NZ99338_HDR-M.jpg");
*/ opacity: 80%;
}

.gridlayout-left-side-bar3:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-dN5F2qh/0/DxVjt5PjgszMTkQj6Q8Sn43BqwqRFJg4skmvVXP2B/M/_NZ99896-M.jpg");
*/ opacity: 80%;
}

.gridlayout-left-side-bar4:before {
    background-color: var(--bs-green);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-W3HJJ9g/0/Cn36JnBCjPzgGQNHBTv66HKnv4sr4NnQfb4wnFDbd/M/IMG20240216163747-M.jpg.jpg");
*/ opacity: 80%;
}

.gridlayout-right-side-bar:before {
    background-color: var(--bs-info);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-Nv98GfL/0/Db8hKwtfx363DgSMwd7Mjkmp9VczHRS6xSsbNQnPp/M/_NZ99752-M.jpg.jpg");
*/ opacity: 80%;
}

.gridlayout-right-side-bar1:before {
    background-color: var(--bs-info);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-Xq99w32/0/DwPVdpf755D4MgnT7HRskDGV5rR8tXVJ3MwB5dQ27/M/_NZ99924-M.jpg");
*/ opacity: 80%;
}

.gridlayout-right-side-bar2:before {
    background-color: var(--bs-info);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-6XKk859/0/DxfJhSz57FxTmmjSPKNRV3GV8pGBvtdg3GDVP9cr3/M/_NZ99580-M.jpg");
*/ opacity: 80%;
}

.gridlayout-right-side-bar3:before {
    background-color: var(--bs-info);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-frQqH2G/0/Cw38NNKp72M7rRhfKt33L2ZBD4SCRN8cDmJxvcBw9/M/_NZ90014-M.jpg");
*/ opacity: 80%;
}

.gridlayout-right-side-bar4:before {
    background-color: var(--bs-info);
    /*background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-RxcMR6S/0/wk98R9vfThV3RFm8TpzHGKFP2wkV65jQ26GXxPFr/M/_NZ99842-M.jpg");*/
    opacity: 80%;
}




.gridlayout-footer:before {
    background-color: var(--bs-gray);
    /*    background-image: url("https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-CTHWq4s/0/Cw3tTTNd6s3dFdNBvfMxrqCJtFh4CXdcCRS4G3DcB/M/IMG20240216163303-M.jpg");
*/ opacity: 80%;
}



.topBanner {
    font-size: 17px;
    font-weight: 700;
    text-align: center;
    height: 100%;
    padding-top: 10px;
    position: relative;
    z-index: 0;
    background-color: var(--bs-gray);
    /* background-color: var(--bs-white);*/
    opacity: 90%;
}

    .topBanner:before {
    }

.timeLine {
    background-color: var(--bs-gray);
    opacity: 90%;
}

    .timeLine:before {
    }

.videos {
    background-color: var(--bs-gray);
    opacity: 90%;
}

    .videos:before {
    }

.page-background-class {
    height: 100%;
    width: 100%;
    /*background-image: url('https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-Jgcghq9/0/FdPZSjCrhrbrBtKJSJsVL79kDw6VF2qv83Ph2cPjr/4K/_NZ90285_6_7-4K.jpg');*/
}

.site-background-class {
    background-image: url('https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-9g2p7gX/0/Z3xpnjCXC3WVN9MhxG2SbW8vchnXmXvJH9BQF6Bg/4K/_NZ99959-4K.jpg');
    height: 100%;
    width: 100%;
}

.item-background-class {
/*    background-image: url('https://photos.smugmug.com/Vancouver/Stanley-Park-Logging/i-9g2p7gX/0/Z3xpnjCXC3WVN9MhxG2SbW8vchnXmXvJH9BQF6Bg/4K/_NZ99959-4K.jpg');
*/    height: 100%;
    width: 100%;
}

image-resize {
    margin-top: 0px;
    margin-bottom: 0px;
    margin-right: 60px;
    margin-left: 60px;
}

.gridlayout-left-side-bar-inner:before {
    background-color: var(--bs-gray);
    height: 100%;
    width: 100%;
    opacity: 20%;
}

.gridlayout-left-side-bar-inner-inner:before {
    background-color: var(--bs-gray);
    height: 100%;
    width: 100%;
    opacity: 20%;
}


.gridlayout-content-inner:before {
    background-color: var(--bs-gray);
    opacity: 20%;
}

.gridlayout-content-inner-inner:before {
    background-color: var(--bs-gray);
    opacity: 20%;
}

.gridlayout-right-side-bar-inner:before {
    background-color: var(--bs-gray);
    opacity: 20%;
}

.gridlayout-right-side-bar-inner-inner {
    padding: 2px;
    padding-left: 20px;
    padding-right: 20px;
}

    .gridlayout-right-side-bar-inner-inner:before {
        background-color: var(--bs-gray);
        opacity: 20%;
        padding: 2px;
        padding-left: 20px;
        padding-right: 20px;
    }

.gridlayout-footer-inner:before {
    background-color: var(--bs-gray);
    opacity: 20%;
}

.gridlayout-footer-inner-inner {
    padding: 2px;
    padding-left: 20px;
    padding-right: 20px;
}

    .gridlayout-footer-inner-inner:before {
        background-color: var(--bs-gray);
        opacity: 20%;
        padding: 2px;
        padding-left: 20px;
        padding-right: 20px;
    }

.gridlayout-footer-inner-inner-forPopup {
    padding-top: 0px;
    height: 25%;
    text-align: center;
    padding-left: 1px;
    padding-right: 1px;
    cursor: pointer;
    /*font-size: 16px;
    font-weight: 500;
    text-align: center;
    height: 50%;
    padding-top: 2px;
    text-align: center;
    position: relative;
    z-index: 0;
    
    padding-left: 20px;
    padding-right: 20px;
    opacity: 80%;
    cursor: pointer;*/
}

    .gridlayout-footer-inner-inner-forPopup:before {
        left: 0;
        top: 0;
        text-decoration: underline !important;
        /* background-color: var(--bs-gray);
        padding: 2px;
        padding-left: 20px;
        padding-right: 20px;
        content: " ";
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        opacity: 0.6;*/
    }

.popup-div {
    height: 50%;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    padding-right: 0px;
    height: 10%;
    /*font-size: 16px;
    font-weight: 500;
    text-align: center;
    height: 50%;
    padding-top: 2px;
    text-align: center;
    position: relative;
    z-index: 0;
    
    padding-left: 20px;
    padding-right: 20px;
    opacity: 80%;
    cursor: pointer;*/
}

    .popup-div:before {
        /* background-color: var(--bs-gray);
        padding: 2px;
        padding-left: 20px;
        padding-right: 20px;
        content: " ";
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        opacity: 0.6;*/
    }

.gridlayout-credits:before {
    background-color: var(--bs-gray);
    opacity: 20%;
}

.tabHeaderControl {
    height: 2px;
    width: 100%;
}

.tabControl {
    height: 100%;
    width: 100%;
}

.DXGridInner {
    height: 100%;
    /* height: 100%;*/
    width: 100%;
}

    .DXGridInner::before {
    }

.DXGridOuter {
    /*height: 1500px*/
    height: 100%;
    /* width: 3460px;*/
    width: auto;
}


.DxGridLayoutItemClass {
    border: inset;
    border-color: paleturquoise;
}

.DxGridLayoutHeaderClass {
    border: none;
    border-color: yellow;
    padding-right: 4px;
    padding-left: 4px;
    padding-top: 8px;
}

.DxGridLayoutItemsIndex {
    border: groove;
    border-color: gray;
    border-width: thin;
    padding-right: 4px;
    padding-left: 4px;
    overflow: hidden;
}


.video-background-holder video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: 0;
    -ms-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
}

.video-background-content {
    position: relative;
    z-index: 2;
}

.video-background-overlay {
    position: relative;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.8;
    z-index: 1;
}

.videoPlayer {
}

.facebookButton {
    width: 64px;
    height: 64px;
    background-image: url('../images/facebook64.png');
    margin: 0 8px 0 0;
}
